aboutsummaryrefslogtreecommitdiffstats
path: root/core/bbsuid/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-01-28 08:27:37 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-28 08:27:37 +0000
commit008f639d0ec7fb7342a815b37d42b0b3af61871f (patch)
tree8046f0780f4ae6b5245cfdaf83d626d01e897dfb /core/bbsuid/APKBUILD
parent174a39af8309302fcbb0432417af18d5568a2c57 (diff)
downloadaports-008f639d0ec7fb7342a815b37d42b0b3af61871f.tar.gz
aports-008f639d0ec7fb7342a815b37d42b0b3af61871f.tar.bz2
aports-008f639d0ec7fb7342a815b37d42b0b3af61871f.tar.xz
core/bbsuid: new aport
Busybox SUID root application wrapper http://dev.alpinelinux.org/cgit/cgit.cgi/bbsuid/
Diffstat (limited to 'core/bbsuid/APKBUILD')
-rw-r--r--core/bbsuid/APKBUILD18
1 files changed, 18 insertions, 0 deletions
diff --git a/core/bbsuid/APKBUILD b/core/bbsuid/APKBUILD
new file mode 100644
index 0000000000..14be0ab4b7
--- /dev/null
+++ b/core/bbsuid/APKBUILD
@@ -0,0 +1,18 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=bbsuid
+pkgver=0.2
+pkgrel=0
+pkgdesc="Busybox SUID root application wrapper"
+url="http://dev.alpinelinux.org/alpine/bbsuid"
+license="GPL-2"
+depends="uclibc busybox"
+source="http://dev.alpinelinux.org/alpine/bbsuid/$pkgname-$pkgver.tar.bz2"
+source="http://dev.alpinelinux.org/cgit/cgit.cgi/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir/$pkgname"
+ make || return 1
+ make install DESTDIR="$pkgdir"
+}
+
+md5sums="95e5dfe96d03e8b29405f699f8fb4698 bbsuid-0.2.tar.bz2"